CHECK-ZONE-EXPIRATION(1)

NAME
check-zone-expiration - displays how long until a zone's records expire

SYNOPSIS
# check-zone-expiration dnssec-tools.org paypal.com dnssec-tools.org will expire in 26 days, 2 hours, 16 minutes, 36 seconds paypal.com will expire in 12 days, 17 hours, 7 minutes, 1 second

# check-zone-expiration -m 1123200 dnssec-tools.org paypal.com paypal.com will expire in 12 days, 17 hours, 6 minutes, 22 seconds

DESCRIPTION
The check-zone-exiration script reports how long until a zone will expire by querying for the zone's (top level) RRSIG and calculating how much time is left before the signatures will no longer be valid. It will then report how much time is left in human readable form.

If the -m switch is provided with a time argument (in seconds), it will only print output for zones that have less than that time left.

OPTIONS

-m STRING
--minimum-reporting=STRING
    Minimum reporting time, or else be silent for the zone

COPYRIGHT
Copyright 2012-2014 SPARTA, Inc. All rights reserved. See the COPYING file included with the DNSSEC-Tools package for details.

AUTHOR
Wes Hardaker, hardaker@tislabs.com

SEE ALSO
donuts(1)